Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAOC.cpp File Reference

`#include "TAOC.h"`
`#include "tao/Typecode.h"`
`#include "TAOC.i"`

Include dependency graph for TAOC.cpp:

## Functions
CORBA::TypeCode | _tc_TAO_tc_TAO_BufferingConstraintMode (CORBA::tk_alias, sizeof(_oc_TAO_BufferingConstraintMode),(char *)&_oc_TAO_BufferingConstraintMode, 0, sizeof(TAO::BufferingConstraintMode))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(TAO) TAO_NAMESPACE_DEFINE(CORBA
CORBA::TypeCode | _tc_TAO_tc_TAO_BufferingConstraint (CORBA::tk_struct, sizeof(_oc_TAO_BufferingConstraint),(char *)&_oc_TAO_BufferingConstraint, 0, sizeof(TAO::BufferingConstraint))
| TAO_NAMESPACE_TYPE (const CORBA::ULong) TAO_NAMESPACE_BEGIN(TAO) TAO_NAMESPACE_DEFINE(const CORBA
CORBA::TypeCode | _tc_TAO_tc_TAO_SyncScope (CORBA::tk_alias, sizeof(_oc_TAO_SyncScope),(char *)&_oc_TAO_SyncScope, 0, sizeof(TAO::SyncScope))
void | operator<<= (CORBA::Any &_tao_any, TAO::BufferingConstraint *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO::BufferingConstraint *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO::BufferingConstraint *&_tao_elem)
## Variables
const CORBA::Long | _oc_TAO_BufferingConstraintMode []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TAO_BufferingConstraint | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_TAO_BufferingConstraint) | ,
|  | (char *)& | _oc_TAO_BufferingConstraint,
|  | 0 | ,
|  | sizeof(TAO::BufferingConstraint) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_BufferingConstraintMode | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_TAO_BufferingConstraintMode) | ,
|  | (char *)& | _oc_TAO_BufferingConstraintMode,
|  | 0 | ,
|  | sizeof(TAO::BufferingConstraintMode) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_SyncScope | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_TAO_SyncScope) | ,
|  | (char *)& | _oc_TAO_SyncScope,
|  | 0 | ,
|  | sizeof(TAO::SyncScope) |
| ) | `[static]`

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraint * | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const TAO::BufferingConstraint *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraint *& | _tao_elem
| ) |

TAO_NAMESPACE_TYPE | ( | const CORBA::ULong |  | ) | const

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

## Variable Documentation

const CORBA::Long _oc_TAO_BufferingConstraintMode[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      36,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f2f),
      ACE_NTOHL (0x42756666),
      ACE_NTOHL (0x6572696e),
      ACE_NTOHL (0x67436f6e),
      ACE_NTOHL (0x73747261),
      ACE_NTOHL (0x696e744d),
      ACE_NTOHL (0x6f64653a),
      ACE_NTOHL (0x312e3000),
      24,
      ACE_NTOHL (0x42756666),
      ACE_NTOHL (0x6572696e),
      ACE_NTOHL (0x67436f6e),
      ACE_NTOHL (0x73747261),
      ACE_NTOHL (0x696e744d),
      ACE_NTOHL (0x6f646500),
      CORBA::tk_ushort,

    }